<?php

namespace Tests\Fakes;

use App\Services\V1\Vendor\Gcp\CloudDnsRecordSetService;

class CloudDnsRecordSetServiceFake extends CloudDnsRecordSetService
{
    public function checkForDnsRecordSet(array $request_data = []): object|string
    {
        return parent::checkForDnsRecordSet($request_data); // TODO: Change the autogenerated stub
    }

    public function deleteGcpDnsRecordSet($request_data): object|string
    {
        return parent::deleteGcpDnsRecordSet($request_data); // TODO: Change the autogenerated stub
    }

    public function createGcpDnsRecordSet($request_data): object|string
    {
        return parent::createGcpDnsRecordSet($request_data); // TODO: Change the autogenerated stub
    }
}
